For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update a wallet

This endpoint updates a wallet within a specified namespace and teamId. This endpoint allows you to modify attributes such as the wallet's name, credit limit, daily budget, external ID, and other rele

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint updates a wallet within a specified namespace and teamId. This endpoint allows you to modify attributes such as the wallet's name, credit limit, daily budget, external ID, and other relevant fields."

Update a wallet

Update a wallet

patch

This endpoint updates a wallet within a specified namespace and teamId. This endpoint allows you to modify attributes such as the wallet's name, credit limit, daily budget, external ID, and other relevant fields.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
200

Details of the updated wallet.

application/json
patch/v2/wallets
PATCH /v2/wallets HTTP/1.1
Host: billing.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 231

{
  "wallet": {
    "archived": false,
    "creditLimit": "50000.00",
    "currencyCode": "USD",
    "dailyBudget": "1000.00",
    "externalId": "ext_789GHI",
    "id": "wallet_12345ABC",
    "name": "MainCompanyWallet",
    "namespaceId": "namespace_xyz987",
    "teamId": "team_456DEF"
  }
}
{
  "wallet": {
    "archived": false,
    "creditLimit": "50000.00",
    "currencyCode": "USD",
    "dailyBudget": "1000.00",
    "externalId": "ext_789GHI",
    "id": "wallet_12345ABC",
    "name": "MainCompanyWallet",
    "namespaceId": "namespace_xyz987",
    "teamId": "team_456DEF"
  }
}